Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.annotation
Class AnnotationC

    java.lang.Object
      org.codehaus.aspectwerkz.annotation.AnnotationC

    public class AnnotationC

extends Object

Annotation compiler.

Extracts the annotations from JavaDoc tags and inserts them into the bytecode of the class.

Author:
  Jonas Bonr , Alexandre Vasseur

Field Summary
`static Properties` | `ANNOTATION_DEFINITION` The annotations properties file define by the user.

Constructor Summary
`AnnotationC()`

Method Summary
`static void` | `compile(boolean verbose, String[] srcDirs, String[] srcFiles, String[] classpath, String destDir, String[] annotationPropertiesFiles)` Compiles the annotations.
`static void` | `main(String[] args)` Runs the compiler from the command line.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANNOTATION_DEFINITION

    public static final Properties ANNOTATION_DEFINITION

  The annotations properties file define by the user.

Constructor Detail

### AnnotationC

    public AnnotationC()

Method Detail

### main

    public static void main(String[] args)

  Runs the compiler from the command line.

  Parameters:
    `args` -

### compile

    public static void compile(boolean verbose,
                               String[] srcDirs,
                               String[] srcFiles,
                               String[] classpath,
                               String destDir,
                               String[] annotationPropertiesFiles)

  Compiles the annotations.

  Parameters:
    `verbose` -
    `srcDirs` -
    `srcFiles` -
    `classpath` -
    `destDir` -
    `annotationPropertiesFiles` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.